Bug 1224105 - CVE-2015-3202 ntfs-3g: fuse: incorrect filtering of environment variables leading to privilege escalation [fedora-all]
Summary: CVE-2015-3202 ntfs-3g: fuse: incorrect filtering of environment variables lea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-3202
TreeView+ depends on / blocked
 
Reported: 2015-05-22 08:33 UTC by Martin Prpič
Modified: 2015-06-13 06:37 UTC (History)
2 users (show)

Fixed In Version: ntfs-3g-2015.3.14-2.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 17:01:44 UTC
Type: ---


Attachments (Terms of Use)
Fix for clearing the environment (2.57 KB, patch)
2015-05-22 16:24 UTC, Jean-Pierre André
no flags Details | Diff

Description Martin Prpič 2015-05-22 08:33:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-05-22 08:33:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1224103,1224105

# Description of your update
notes=Security fix for CVE-2015-3202

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1224103,1224105

Comment 2 Jean-Pierre André 2015-05-22 16:24:35 UTC
Created attachment 1028860 [details]
Fix for clearing the environment

Use execle() instead of execl()

Comment 3 Fedora Update System 2015-05-22 20:34:31 UTC
ntfs-3g-2015.3.14-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ntfs-3g-2015.3.14-2.fc22

Comment 4 Fedora Update System 2015-05-22 20:34:39 UTC
ntfs-3g-2015.3.14-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ntfs-3g-2015.3.14-2.fc21

Comment 5 Fedora Update System 2015-05-22 20:34:47 UTC
ntfs-3g-2015.3.14-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ntfs-3g-2015.3.14-2.fc20

Comment 6 Fedora Update System 2015-05-26 03:27:54 UTC
Package ntfs-3g-2015.3.14-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2015.3.14-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8771/ntfs-3g-2015.3.14-2.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-01 17:01:44 UTC
ntfs-3g-2015.3.14-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-05 23:54:19 UTC
ntfs-3g-2015.3.14-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-13 06:37:13 UTC
ntfs-3g-2015.3.14-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.